part of 'login_bloc.dart';

abstract class LoginEvent extends Equatable {
  const LoginEvent();
  @override
  List<Object> get props => [];
}

class LoginOnSubmit extends LoginEvent {
  final String fullname;
  final String idCard;

  LoginOnSubmit({
    @required this.fullname,
    @required this.idCard,
  })  : assert(fullname != null),
        assert(idCard != null);

  @override
  List<Object> get props => [fullname, idCard];
}
